## gate.creole.nerc
Class EntitySet

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractSet
                  |
                  +--gate.creole.nerc.EntitySet

All Implemented Interfaces:
  Collection, Serializable, Set

public class EntitySet
extends AbstractSet
implements Set, Serializable

Representing a set of entities found in a single text file. Each member a the set is an EntityDescriptor

See Also:
  Serialized Form

Field Summary
`(package private) String` `fileName`
`(package private) Set` `myEntities`

Constructor Summary
`EntitySet(String fileName, Document document, AnnotationSet annotationSet)` Constructs an entity set from a Gate annotation set

Method Summary
`String` `getTextFileName()` Returns the name of the file where the entities in this set were discovered
`Iterator` `iterator()`
`int` `size()`
`String` `toString()` Returns a string giving the file name on one line (preceded by "==== FILE : " followed by each entity descriptor's string representation, one-per-line.

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Field Detail

### fileName

    String fileName

### myEntities

    Set myEntities

Constructor Detail

### EntitySet

    public EntitySet(String fileName,
                     Document document,
                     AnnotationSet annotationSet)

  Constructs an entity set from a Gate annotation set

Method Detail

### getTextFileName

    public String getTextFileName()

  Returns the name of the file where the entities in this set were discovered

### toString

    public String toString()

  Returns a string giving the file name on one line (preceded by "==== FILE : " followed by each entity descriptor's string representation, one-per-line.
  Overrides:
    `toString` in class `AbstractCollection`

### size

    public int size()

  Specified by:
    `size` in interface `Set`
  Overrides:
    `size` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Set`
  Overrides:
    `iterator` in class `AbstractCollection`